package com.lz.modules.flow.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.flow.dao.ResultDimensionMapper;
import com.lz.modules.flow.entity.ResultDimension;
import com.lz.modules.flow.service.ResultDimensionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* <p>
* 考核维度表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-14
*/

@Service
public class ResultDimensionServiceImpl extends ServiceImpl<ResultDimensionMapper, ResultDimension> implements ResultDimensionService {


    @Autowired
	private ResultDimensionMapper resultDimensionMapper;



	@Override
	public ResultDimension selectResultDimensionById(Long id){
		return resultDimensionMapper.selectResultDimensionById(id);
	}



	@Override
	public Long insertResultDimension(ResultDimension resultDimension){
		return resultDimensionMapper.insertResultDimension(resultDimension);
	}



	@Override
	public int updateResultDimensionById(ResultDimension resultDimension){
		return resultDimensionMapper.updateResultDimensionById(resultDimension);
	}



	@Override
	public int updateCoverResultDimensionById(ResultDimension resultDimension){
		return resultDimensionMapper.updateCoverResultDimensionById(resultDimension);
	}



	@Override
	public int deleteResultDimensionById(Long id){
		return resultDimensionMapper.deleteResultDimensionById(id);
	}

	@Override
	public List<ResultDimension> selectResultDimensionAll(){
		return resultDimensionMapper.selectResultDimensionAll();
	}



}
